## r-cran-rocr 1.0

=== DESCRIPTION ===
Package: ROCR
Authors@R: c(person("Tobias","Sing",
                    email = "tobias.sing@gmail.com",role="aut"),
             person("Oliver","Sander",
                    email = "osander@gmail.com",role="aut"),
             person("Niko","Beerenwinkel",
                    role="aut"),
             person("Thomas","Lengauer",
                    role="aut"),
             person("Thomas","Unterthiner",
                    role="ctb"),
             person("Felix G.M.","Ernst",
                    email = "felix.gm.ernst@outlook.com",role="cre",
                    comment = c(ORCID = "0000-0001-5064-0928")))
Version: 1.0-12
Date: 2026-01-22
Title: Visualizing the Performance of Scoring Classifiers
Description: ROC graphs, sensitivity/specificity curves, lift charts,
  and precision/recall plots are popular examples of trade-off
  visualizations for specific pairs of performance measures. ROCR is a
  flexible tool for creating cutoff-parameterized 2D performance curves
  by freely combining two from over 25 performance measures (new
  performance measures can be added using a standard interface).
  Curves from different cross-validation or bootstrapping runs can be
  averaged by different methods, and standard deviations, standard
  errors or box plots can be used to visualize the variability across
  the runs. The parameterization can be visualized by printing cutoff
  values at the corresponding curve positions, or by coloring the
  curve according to cutoff. All components of a performance plot can
  be quickly adjusted using a flexible parameter dispatching
  mechanism. Despite its flexibility, ROCR is easy to use, with only
  three commands and reasonable default values for all optional
  parameters.
Encoding: UTF-8
License: GPL (>= 2)
NeedsCompilation: no
Depends: R (>= 3.6)
Imports: methods, graphics, grDevices, gplots, stats
Suggests: testthat, knitr, rmarkdown
URL: https://ipa-tys.github.io/ROCR/
BugReports: https://github.com/ipa-tys/ROCR/issues
RoxygenNote: 7.3.3
VignetteBuilder: knitr
Packaged: 2026-01-22 15:23:44 UTC; flixr
Author: Tobias Sing [aut],
  Oliver Sander [aut],
  Niko Beerenwinkel [aut],
  Thomas Lengauer [aut],
  Thomas Unterthiner [ctb],
  Felix G.M. Ernst [cre] (ORCID: <https://orcid.org/0000-0001-5064-0928>)
Maintainer: Felix G.M. Ernst <felix.gm.ernst@outlook.com>
Repository: CRAN
Date/Publication: 2026-01-23 06:41:23 UTC

## r-cran-rocr 1.0-4

=== debian/changelog ===
r-cran-rocr (1.0-4-3) unstable; urgency=low

  * Support depending on R pre-releases (debian/rules, Closes: #646157).
  * Machine-readable debian/copyright, format 1.0 (DEP 5).
  * Distribute unit tests (debian/docs).
  * Expanded and moved instructions to test the binary package from
    debian/README.Debian to debian/README.test.

 -- Charles Plessy <plessy@debian.org>  Sat, 22 Oct 2011 12:56:28 +0900

r-cran-rocr (1.0-4-2) unstable; urgency=low

  * Rebuild using latest R
    Closes: #646044
  * Standards-Version: 3.9.2 (no changes needed)
  * Debhelper 8 (control+compat)
  * Fixed Vcs fields
  * debian/source/format: 3.0 (quilt)
  * README.Debian: describe how the package was testet
  * debian/control: Suggests: r-cran-runit
    (because it is described in upstream's README.unittests)
  * debian/docs: Install information about unittests

 -- Andreas Tille <tille@debian.org>  Fri, 21 Oct 2011 14:29:10 +0200

r-cran-rocr (1.0-4-1) unstable; urgency=low

  * New upstream release.
  * Incremented Standards-Version (debian/control) to reflect compliance
    with Policy 3.8.4.
  * Require a number equal or superior than the R version the package was built
    with, using a R:Depends substvar (debian/control, debian/rules).
  * Added notes to explain how this package is tested (debian/README.Debian).

 -- Charles Plessy <plessy@debian.org>  Wed, 03 Feb 2010 12:59:59 +0900

r-cran-rocr (1.0-3-3) unstable; urgency=low

  * New upstream version.
  * Explicitly setting dependency to latest R because of the new R
    help system.

 -- Steffen Moeller <moeller@debian.org>  Sat, 24 Oct 2009 17:04:38 +0900

r-cran-rocr (1.0-2-2) unstable; urgency=low

  * Rebuilt against R 2.10.0 because of changes in the documentation system.
  * Converted debian/copyright to experimental machine-readable format.
  * Updated to Policy 3.8.3:
    - Changed section to gnu-r (debian/control).
    - Incremented Standards-Version (debian/control).
  * Switched to Debhelper 7 (debian/control, debian/compat).
  * Removed ${shlibs:Depends} and added ${misc:Depends} (debian/compat).
  * Added VCS archive metadata (debian/control).
  * Documented various upstream information in debian/upstream-metadata.yaml
  * Added myself to the uploaders (debian/control).

 -- Charles Plessy <plessy@debian.org>  Sat, 24 Oct 2009 17:04:38 +0900

r-cran-rocr (1.0-2-1.1) unstable; urgency=low

  * Non-maintainer upload
  
  * debian/watch: Corrected as this is in fact case-sensitive 
 
  * debian/control: Removed myself from uploaders as
     - Steffen never asked me whether I wanted to be included 
     - Steffen never removed me despite repeated requests to do so

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Nov 2008 13:13:47 -0600

r-cran-rocr (1.0-2-1) unstable; urgency=low

  * Initial release (closes: #492524).

 -- Steffen Moeller <moeller@debian.org>  Sun, 27 Jul 2008 00:34:06 +0200

=== debian/control ===
Source: r-cran-rocr
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
 Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), cdbs, r-base-dev (>= 2.10.0), r-cran-gplots, r-cran-gtools, r-cran-gdata
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-rocr/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-rocr/trunk/
Homepage: http://rocr.bioinf.mpi-sb.mpg.de

Package: r-cran-rocr
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, r-cran-gplots, r-cran-gtools, r-cran-gdata
Suggests: r-cran-runit
Description: GNU R package to prepare and display ROC curves
 ROC graphs, sensitivity/specificity curves, lift charts,
 and precision/recall plots are popular examples of trade-off
 visualizations for specific pairs of performance measures. ROCR is a
 flexible tool for creating cutoff-parametrized 2D performance curves
 by freely combining two from over 25 performance measures (new
 performance measures can be added using a standard interface).
 Curves from different cross-validation or bootstrapping runs can be
 averaged by different methods, and standard deviations, standard
 errors or box plots can be used to visualize the variability across
 the runs. The parametrization can be visualized by printing cutoff
 values at the corresponding curve positions, or by coloring the
 curve according to cutoff. All components of a performance plot can
 be quickly adjusted using a flexible parameter dispatching
 mechanism. Despite its flexibility, ROCR is easy to use, with only
 three commands and reasonable default values for all optional
 parameters.
 .
 ROCR features: ROC curves, precision/recall plots, lift charts, cost
 curves, custom curves by freely selecting one performance measure for the
 x axis and one for the y axis, handling of data from cross-validation
 or bootstrapping, curve averaging (vertically, horizontally, or by
 threshold), standard error bars, box plots, curves that are color-coded
 by cutoff, printing threshold values on the curve, tight integration
 with Rs plotting facilities (making it easy to adjust plots or to combine
 multiple plots), fully customizable, easy to use (only 3 commands).
 .
 Performance measures that ROCR knows: Accuracy, error rate, true
 positive rate, false positive rate, true negative rate, false negative
 rate, sensitivity, specificity, recall, positive predictive value,
 negative predictive value, precision, fallout, miss, phi correlation
 coefficient, Matthews correlation coefficient, mutual information, chi
 square statistic, odds ratio, lift value, precision/recall F measure,
 ROC convex hull, area under the ROC curve, precision/recall break-even
 point, calibration error, mean cross-entropy, root mean squared error,
 SAR measure, expected cost, explicit cost.

## r-cran-rocr 1.0-5

=== debian/changelog ===
r-cran-rocr (1.0-5-1) unstable; urgency=low

  * New upstream release

  [Dirk Eddelbuettel]
  * Adding myself to uploaders
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 May 2013 09:25:22 -0500

r-cran-rocr (1.0-4-4) unstable; urgency=low

  [Dirk Eddelbuettel]
  * NAMESPACE: Added with single line 'exportPattern("^[[:alpha:]]+")'
    as R now requires a NAMESPACE file to be present  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * (Re-)building with R 3.0.0
  
  [Andreas Tille]
  * debian/upstream
     - Remove wrong '|' after Reference field
     - Moved DOI and PMID to Reference

 -- Andreas Tille <tille@debian.org>  Wed, 07 Mar 2012 16:42:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
  Charles Plessy <plessy@debian.org>,
- Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 8), cdbs, r-base-dev (>= 2.10.0), r-cran-gplots, r-cran-gtools, r-cran-gdata
-Standards-Version: 3.9.2
+ Andreas Tille <tille@debian.org>,
+ Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper (>= 8), cdbs, r-base-dev (>= 3.0.0), r-cran-gplots, r-cran-gtools, r-cran-gdata
+Standards-Version: 3.9.4
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-rocr/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-rocr/trunk/
 Homepage: http://rocr.bioinf.mpi-sb.mpg.de

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

# Require a number equal or superior than the R version the package was built with.
install/r-$(debRreposname)-$(cranName)::
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/r-$(debRreposname)-$(cranName).substvars

## r-cran-rocr 1.0-7

=== debian/changelog ===
r-cran-rocr (1.0-7-4) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 09:15:59 +0200

r-cran-rocr (1.0-7-3) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Convert from cdbs to dh-r
  * debhelper 10
  * Standards-Version: 4.1.1
  * Canonical homepage for CRAN packages
  * Add debian/README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Sun, 01 Oct 2017 20:57:37 +0200

r-cran-rocr (1.0-7-2) unstable; urgency=medium

  * cme fix dpkg-control
  * Fix autopkgtest
  * Update copyright

 -- Andreas Tille <tille@debian.org>  Tue, 03 May 2016 22:47:44 +0200

r-cran-rocr (1.0-7-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debhelper 9
  * add autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jul 2015 23:39:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: r-cran-rocr
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Andreas Tille <tille@debian.org>,
+           Dirk Eddelbuettel <edd@debian.org>
 Section: gnu-r
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>,
- Charles Plessy <plessy@debian.org>,
- Andreas Tille <tille@debian.org>,
- Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 8), cdbs, r-base-dev (>= 3.0.0), r-cran-gplots, r-cran-gtools, r-cran-gdata
-Standards-Version: 3.9.4
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-rocr/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-rocr/trunk/
-Homepage: http://rocr.bioinf.mpi-sb.mpg.de
+Build-Depends: debhelper (>= 11~),
+               dh-r,
+               r-base-dev,
+               r-cran-gplots
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rocr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rocr.git
+Homepage: https://cran.r-project.org/package=ROCR
 
 Package: r-cran-rocr
 Architecture: all
-Depends: ${misc:Depends}, ${R:Depends}, r-cran-gplots, r-cran-gtools, r-cran-gdata
-Suggests: r-cran-runit
+Depends: ${R:Depends},
+         ${misc:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R package to prepare and display ROC curves
  ROC graphs, sensitivity/specificity curves, lift charts,
  and precision/recall plots are popular examples of trade-off

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/ROCR_([-0-9\.]*)\.tar\.gz

## r-cran-rocr 1.0-11

=== debian/changelog ===
r-cran-rocr (1.0-11-3) unstable; urgency=medium

  * Removed Dirk Eddelbuettel from Uploaders at his own request (Thanks
    to Dirk for helping out)
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * watch file standard 4 (routine-update)
  * Add lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Thu, 09 May 2024 07:38:13 +0200

r-cran-rocr (1.0-11-2) unstable; urgency=medium

  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 23:29:06 +0200

r-cran-rocr (1.0-11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update DEP-8 tests

 -- Dylan Aïssi <daissi@debian.org>  Thu, 07 May 2020 08:20:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: r-cran-rocr
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>,
-           Andreas Tille <tille@debian.org>,
-           Dirk Eddelbuettel <edd@debian.org>
-Section: gnu-r
-Priority: optional
-Build-Depends: debhelper (>= 11~),
+           Andreas Tille <tille@debian.org>
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rocr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rocr.git
+Homepage: https://cran.r-project.org/package=ROCR
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-gplots
-Standards-Version: 4.1.4
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rocr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rocr.git
-Homepage: https://cran.r-project.org/package=ROCR
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rocr
 Architecture: all

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/ROCR_([-0-9\.]*)\.tar\.gz

## r-cran-rocr 1.0-12

=== debian/changelog ===
r-cran-rocr (1.0-12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Fri, 30 Jan 2026 11:52:23 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: r-cran-rocr
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-gplots,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rocr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rocr.git
 Homepage: https://cran.r-project.org/package=ROCR
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-gplots
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rocr
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
         r-cran-knitr,
         r-cran-rmarkdown
Restrictions: allow-stderr
